<!-- list of claims -->
<div class="container driver-list__container">
  <div
    class="row driver-item__container"
    *ngFor="let claim of driver.claims; let i = index"
  >
    <div class="col-8 text-left">
      <p class="driver-item__name" (click)="test()">{{ claim.type }}</p>
      <p class="driver-item__details">{{ claim.month }} {{ claim.year }}</p>
    </div>
    <div class="col-4 text-right">
      <span class="align-middle" (click)="edit(i)"
        >Edit <mat-icon>edit</mat-icon></span
      >
      <span class="align-middle" (click)="remove(i)"
        >Remove <mat-icon>close</mat-icon></span
      >
    </div>
  </div>
</div>

<form #newClaim="ngForm">
  <legend>Add previous claim or incident</legend>

  <qtb-select-list>
    <label for="type">
      <span>Accident / claim type</span>
      <select [(ngModel)]="model.type" name="type" id="type" required>
        <option
          *ngFor="let option of options.claimTypes"
          [ngValue]="option.value"
          >{{ option.display }}</option
        >
      </select>
    </label>
  </qtb-select-list>

    <qtb-select-list>
            <label for="year">
              <span>Year</span>
              <select
                [(ngModel)]="model.year"
                name="year"
                id="year"
                required
              >
                <option
                  *ngFor="let option of options.claimYears"
                  [ngValue]="option.value"
                  >{{ option.display }}</option
                >
              </select>
            </label>
          </qtb-select-list>

  <qtb-select-list>
        <label for="month">
          <span>Month</span>
          <select
            [(ngModel)]="model.month"
            name="month"
            id="month"
            required
          >
            <option
              *ngFor="let option of options.months"
              [ngValue]="option.value"
              >{{ option.display }}</option
            >
          </select>
        </label>
      </qtb-select-list>

  <button mat-button>Cancel</button>
  <button mat-raised-button type="submit" (click)="add()">
    Add claim or incident
  </button>
</form>
